<?php

namespace Drupal\awareness\Transliteration;

use Drupal\Component\Transliteration\TransliterationInterface;

/**
 * Interface for classes that utilize the transliteration service.
 */
interface TransliterationAwareInterface {

  const SERVICE_ID = 'transliteration';

  /**
   * Set the transliteration service.
   *
   * @param \Drupal\Component\Transliteration\TransliterationInterface $transliteration
   *   The transliteration service.
   *
   * @return $this
   */
  public function setTransliteration(TransliterationInterface $transliteration);

}
