<?php

namespace Drupal\awareness\Transliteration;

use Drupal\Component\Transliteration\TransliterationInterface;

/**
 * Trait for classes that utilize the transliteration service.
 */
trait TransliterationAwareTrait {

  /**
   * The transliteration service.
   *
   * @var \Drupal\Component\Transliteration\TransliterationInterface
   */
  protected $transliteration;

  /**
   * @see \Drupal\awareness\Transliteration\TransliterationAwareInterface::setTransliteration
   */
  public function setTransliteration(TransliterationInterface $transliteration) {
    $this->transliteration = $transliteration;
    return $this;
  }

}
